### Class

# FwupdPlugin UsbDeviceDs20

since: 1.0

#### Description [src]

    class FwupdPlugin.UsbDeviceDs20 : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A USB DS20 BOS descriptor.

See also: `FuUsbDevice`

Available since: 1.0

#### Ancestors

- FuFirmware
- GObject

#### Descendants

- FuUsbDeviceFwDs20
- FuUsbDeviceMsDs20

#### Instance methods

###### fu_usb_device_ds20_apply_to_device

Sets the DS20 descriptor onto `device`.

since: 1.8.5

###### fu_usb_device_ds20_set_version_lowest

Sets the lowest possible `platform_ver` for a DS20 descriptor.

since: 1.8.5

##### Methods inherited from FuFirmware (59)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginUsbDeviceDs20Class {
      FuFirmwareClass parent_class;
      gboolean (* parse) (
        FuUsbDeviceDs20* self,
        GBytes* blob,
        FuUsbDevice* device,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`
  No description available.
`parse: gboolean (* parse) ( FuUsbDeviceDs20* self, GBytes* blob, FuUsbDevice* device, GError** error )`
  No description available.

#### Virtual methods

###### FwupdPlugin.UsbDeviceDs20Class.parse

No description available.

since: 1.0